export declare class EclListIllustration {
    el: HTMLElement;
    theme: string;
    variant: string;
    zebra: boolean;
    column: number;
    styleClass: string;
    colorMode: string;
    fontSize: string;
    centered: boolean;
    iconInline: boolean;
    iconList: boolean;
    numberList: boolean;
    counterReset: boolean;
    counterStart: number;
    getClass(): string;
    componentWillLoad(): void;
    componentDidLoad(): void;
    render(): any;
}
